<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		GeneralRSS2Manager.class.php
 * @brief		一般用RSS2.0クラス
 * @date		2007.01.25
 */

require_once(CLASS_DIR."/adodb/BitcubeDB.class.php");

class GeneralRSS2Manager extends BitcubeDB
{
	function GeneralRSS2Manager()
	{
		$this->BitcubeDB();
	}
	
	// RSS2.0情報取得
	function getRSS2Info($group_code)
	{
		// SQL文
		$sql  = " select ";
		$sql .= " $this->template.group_code ";
		$sql .= " ,$this->template.rss2_tmpl ";
		$sql .= " from ";
		$sql .= " $this->template ";
		$sql .= " where $this->template.is_delete = 0 and $this->template.group_code = $group_code ";
		
		return $this->GetRow($sql);
	}
}
